Find pet by ID.
curl --request GET \
--url https://petstore3.swagger.io/api/v3/pet/{petId} \
--header 'api_key: <api-key>'import requests
url = "https://petstore3.swagger.io/api/v3/pet/{petId}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://petstore3.swagger.io/api/v3/pet/{petId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "doggie",
"photoUrls": [
"<string>"
],
"id": 10,
"category": {
"id": 1,
"name": "Dogs"
},
"tags": [
{
"id": 123,
"name": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}pet
Find pet by ID.
Returns a single pet.
GET
/
pet
/
{petId}
Find pet by ID.
Authorizations
api_keypetstore_auth
Path Parameters
ID of pet to return
⌘I